﻿Imports HowDoI.DBInitializers.DataAccess
Imports System.Data.Entity

Namespace HowDoI.DBInitializers.UI
	Friend Class Program
		Shared Sub Main(ByVal args() As String)
			Database.SetInitializer(New BlogContextInitializer())
			'Database.SetInitializer(new DropCreateDatabaseIfModelChanges<BlogContext>());
			ListBlogs()
		End Sub

		Private Shared Sub ListBlogs()
            Dim db As New BlogContext()

			Dim blogs = db.Blogs.Include("Posts").ToList()

			For Each blog In blogs
				 Console.WriteLine("{0} by {1}", blog.Title, blog.BloggerName)
				 Console.WriteLine("     # of Posts: {0}", blog.Posts.Count())
			Next blog

			Console.WriteLine("Complete. Press any key to continue...")
			Console.ReadKey()
		End Sub

	End Class
End Namespace
